package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevDownspoutMapper;
import com.ruoyi.project.patrol.dev.domain.TDevDownspout;
import com.ruoyi.project.patrol.dev.service.ITDevDownspoutService;

/**
 * 落水管Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TDevDownspoutServiceImpl implements ITDevDownspoutService 
{
    @Autowired
    private TDevDownspoutMapper tDevDownspoutMapper;

    /**
     * 查询落水管
     * 
     * @param id 落水管主键
     * @return 落水管
     */
    @Override
    public TDevDownspout selectTDevDownspoutById(Long id)
    {
        return tDevDownspoutMapper.selectTDevDownspoutById(id);
    }

    /**
     * 查询落水管列表
     * 
     * @param tDevDownspout 落水管
     * @return 落水管
     */
    @Override
    public List<TDevDownspout> selectTDevDownspoutList(TDevDownspout tDevDownspout)
    {
        return tDevDownspoutMapper.selectTDevDownspoutList(tDevDownspout);
    }

    /**
     * 新增落水管
     * 
     * @param tDevDownspout 落水管
     * @return 结果
     */
    @Override
    public int insertTDevDownspout(TDevDownspout tDevDownspout)
    {
        return tDevDownspoutMapper.insertTDevDownspout(tDevDownspout);
    }

    /**
     * 修改落水管
     * 
     * @param tDevDownspout 落水管
     * @return 结果
     */
    @Override
    public int updateTDevDownspout(TDevDownspout tDevDownspout)
    {
        return tDevDownspoutMapper.updateTDevDownspout(tDevDownspout);
    }

    /**
     * 批量删除落水管
     * 
     * @param ids 需要删除的落水管主键
     * @return 结果
     */
    @Override
    public int deleteTDevDownspoutByIds(Long[] ids)
    {
        return tDevDownspoutMapper.deleteTDevDownspoutByIds(ids);
    }

    /**
     * 删除落水管信息
     * 
     * @param id 落水管主键
     * @return 结果
     */
    @Override
    public int deleteTDevDownspoutById(Long id)
    {
        return tDevDownspoutMapper.deleteTDevDownspoutById(id);
    }
}
